Bug 995489 - `ino init' doesn't create lib/
`ino init' doesn't create lib/
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ino (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alberto Ruiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 10:12 EDT by Suvayu
Modified: 2013-09-20 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: ino-0.3.5-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 19:33:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suvayu 2013-08-09 10:12:58 EDT
Description of problem:
Calling `ino init', does not create lib/ in the project directory.  This causes `ino build' to fail later.

Version-Release number of selected component (if applicable):
ino-0.3.5-1.fc18.noarch (and probably newer versions too)

How reproducible:
Always

Steps to Reproduce:
1. mkdir /tmp/test && cd /tmp/test
2. ino init && tree
   └── src
       └── sketch.ino
3. ino build
   ...
   Detecting Arduino software version ...  1.0 (1.0.5)
   Traceback (most recent call last):
     File "/usr/bin/ino", line 6, in <module>
       main()
     File "/usr/lib/python2.7/site-packages/ino/runner.py", line 63, in main
       args.func(args)
     File "/usr/lib/python2.7/site-packages/ino/commands/build.py", line 209, in run
       self.scan_dependencies()
     File "/usr/lib/python2.7/site-packages/ino/commands/build.py", line 171, in scan_dependencies
       lib_dirs = [self.e.arduino_core_dir] + list_subdirs(self.e.lib_dir) + list_subdirs(self.e.arduino_libraries_dir)
     File "/usr/lib/python2.7/site-packages/ino/utils.py", line 41, in list_subdirs
       entries = [e for e in os.listdir(dirname) if e not in exclude and not e.startswith('.')]
   OSError: [Errno 2] No such file or directory: 'lib'

Actual results:
Shown next to the appropriate steps above.

Expected results:
after step (3)
...
Linking libarduino.a
Linking firmware.elf
Converting to firmware.hex

Additional info:
For now I do a `mkdir lib' after `ino init'.
Comment 1 Fedora Update System 2013-08-30 07:36:55 EDT
ino-0.3.5-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ino-0.3.5-5.fc19
Comment 2 Fedora Update System 2013-08-30 07:40:52 EDT
ino-0.3.5-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ino-0.3.5-5.fc18
Comment 3 Fedora Update System 2013-08-30 18:55:25 EDT
Package ino-0.3.5-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ino-0.3.5-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15546/ino-0.3.5-5.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-02 19:33:21 EDT
ino-0.3.5-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-20 12:29:18 EDT
ino-0.3.5-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.